%define name	alsa-patch-bay
%define version 1.0.0
%define release %mkrel 4

Name: 		%{name}
Summary:	Graphical patch bay for the ALSA sequencer API
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://pkl.net/~node/alsa-patch-bay.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig fltk-devel libalsa-devel ladcca-devel
BuildRequires:	e2fsprogs-devel doxygen jackit-devel
BuildRequires:	gtkmm2.0-devel ImageMagick
BuildRequires:	chrpath

%description
ALSA Patch Bay is a graphical patch bay for the ALSA sequencer API. 

%prep
%setup -q

%build
%configure2_5x --disable-rpath
# fix symlink
perl -p -i -e 's/\$\(bindir\)\/jack-patch-bay/\$\(RPM_BUILD_ROOT\)\$\(bindir\)\/jack-patch-bay/g' src/Makefile
%make CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
cd src
chrpath -d %name
chrpath -d `find -name '*.so'`
					
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="Multimedia/Sound" \
        title="ALSA-patch-bay" \
        longtitle="ALSA sequencer connections" \
        command="%{_bindir}/%{name}" \
        icon="%{name}.png" \
        xdg="true"
EOF

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="Multimedia/Sound" \
        title="JACK-patch-bay" \
        longtitle="JACK audio daemon connections" \
        command="%{_bindir}/jack-patch-bay" \
        icon="%{name}.png" \
        xdg="true"
EOF


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="AudioVideo" \
  --add-category="Audio" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/5-pin-din.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/5-pin-din.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/5-pin-din.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc NEWS COPYING README AUTHORS TODO THANKS
%{_bindir}/%name
%{_bindir}/jack-patch-bay
%{_libdir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Jul 11 2006 Lenny Cartier <lenny@mandriva.com> 1.0.0-4mdv2007.0
- xdg

* Fri Jan 27 2006 Austin Acton <austin@mandriva.org> 1.0.0-3mdk
- fix fPIC
- fix rpath

* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 1.0.0-2mdk
- tweak buildrequires
- configure 2.5

* Thu Dec 11 2003 Austin Acton <austin@linux.ca> 1.0.0-1mdk
- 1.0.0
- convert icons on-the-fly
- meentry for jack-patch-bay

* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 0.5.2-1mdk
- 0.5.2

* Tue Aug 19 2003 Austin Acton <aacton@yorku.ca> 0.5.1-2mdk
- add gtk interface

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.5.1-1mdk
- 0.5.1

* Sat Feb 8 2003 Austin Acton <aacton@yorku.ca> 0.5.0-1mdk
- 0.5.0
- add jack support
- requires libext2fs2-devel

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.4.1-1mdk
- initial package
